- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions | Friends

# QGraphicsTransform Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qgraphicstransform.h.

`#include <qgraphicstransform.h>`

Inheritance diagram for QGraphicsTransform:
[legend]

List of all members.

## Public Member Functions
| QGraphicsTransform (QObject *parent=0)
| ~QGraphicsTransform ()
virtual void | applyTo (QMatrix4x4 *matrix) const =0
## Protected Slots
void | update ()
## Protected Member Functions
| QGraphicsTransform (QGraphicsTransformPrivate &p, QObject *parent)
## Friends
class | QGraphicsItem
class | QGraphicsItemPrivate

## Constructor & Destructor Documentation

QGraphicsTransform | ( | QObject * | parent = `0` | ) |

~QGraphicsTransform | ( |  | ) |

QGraphicsTransform | ( | QGraphicsTransformPrivate & | p,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

virtual void applyTo | ( | QMatrix4x4 * | matrix | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QGraphicsScale, and QGraphicsRotation.

void update | ( |  | ) | `[protected, slot]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsItem `[friend]`

Search for all occurrences

Definition at line 76 of file qgraphicstransform.h.

friend class QGraphicsItemPrivate `[friend]`

Search for all occurrences

Definition at line 77 of file qgraphicstransform.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicstransform.h

QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform
QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform QGraphicsTransform